package main

import (
	"github.com/flamego/flamego"
	"github.com/flamego/template"

	web "git.metaunix.net/bitgoblin/blt/src/web"
)

func main() {
	// initialize Flamego instance
	f := flamego.Classic()

	// enable templates
  f.Use(template.Templater(template.Options{
  	Directory: "./views",
  }))

  // register routes
  web.RegisterRoutes(f)

  // start Flamego
  f.Run()
}
